import request from '/@/utils/request';

export function inspectTargetApi() {
    return {
        // v1
        getInspectTargetList: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/safeCheckQuota/select/listQuotaByPage`,
                method: 'post',
                data: data
            });
        },
        // v1
        getInspectTargetById: (id: number) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/safeCheckQuota/select/getQuotaById?id=${id}`,
                method: 'get'
            });
        },
        // v1
        addInspectTarget: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/safeCheckQuota/insert/saveQuota`,
                method: 'post',
                data: data
            });
        },
        // v1
        modInspectTarget: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/safeCheckQuota/update/updateQuotaById`,
                method: 'post',
                data: data
            });
        },
        // v1
        deleteInspectTarget: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/safeCheckQuota/delete/deleteQuotaById`,
                method: 'post',
                data: data
            });
        },
        // v1
        getAllInspectTargetList: () => {
            return request({
                url: import.meta.env.VITE_API_URL + `/prevent/device/select/listDevices`,
                method: 'post'
            });
        },
        // v1
        getQuotaTypeList: () => {
            return request({
                url: import.meta.env.VITE_API_URL + `/safeCheckQuotaType/select/listQuotaType`,
                method: 'get'
            });
        }
    };
}
